<p>
    <h1>Ajouter un utilisateur</h1>
    <form id="userform" action="/form" method="POST">
        <input type="text" name="lname" id="lname" minlength="2" maxlength="40" required placeholder="Nom"/><br/>
        <input type="text" name="forename" id="forename" minlength="2" maxlength="40" required placeholder="Prénom"/><br/>
        <input type="text" name="city" id="city" minlength="2" maxlength="40" required placeholder="Ville"/><br/>
        <input type="text" name="zipcode" id="zipcode" pattern="^[0-9]{5}$" required placeholder="Code postal"/><br/>
        <input type="password" name="pw" id="pw" minlength="8" required placeholder="Mot de Passe"/><br/>
        <input class="btn btn-success" type="submit" id="form_button" value="Ajouter" /><br/>
    </form>
</p>
<div>
    <a href="/userlist" role="button" class="btn btn-primary" id="right" >Liste des utilisateurs</a>
</div> 

<%# faire un htmlspecialchars pour éviter la faille xss %>
<%# .[\S] %>
<%# pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9](?=.*\W).{8,})$ "%>